# -*- encoding : utf-8 -*-
class CreateSheetYears < ActiveRecord::Migration
  def self.up
    create_table :sheet_years do |t|
      t.integer :year
      t.integer :join_type
      t.boolean :gift_year
      t.boolean :benefactor
      t.date :paid_at
      t.decimal :amount
      t.integer :payment_type
      t.string :bank
      t.string :check_number
      t.references :sheet

      t.timestamps
    end
  end

  def self.down
    drop_table :sheet_years
  end
end
